List Email Design Systems
GET
/api/v1/workspaces/{workspace_id}/email_design_systems
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems?per=10&page=1&archived=true&include_shared=true&sort=created_at_asc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems?per=10&page=1&archived=true&include_shared=true&sort=created_at_asc' \ --header 'Authorization: Bearer <token>'Retrieves the email design systems for the currently logged in user.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
archived
string
Example
falseFilter projects by archive status:
false(default): Only return non-archived projectstrue: Only return archived projectsall: Return both archived and non-archived projects
include_shared
string
Example
trueWhether to include email design systems shared from other workspaces
sort
string
Sorting
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
name
required
string
description
string
created_at
required
string format: date-time
updated_at
string format: date-time
organization_id
required
integer
workspace_id
required
integer
screenshot_url
required
string
upload_status
required
string
require_brand_profile_for_use
required
boolean
archived
required
boolean
design_tokens
required
object
key
additional properties
any
access_scope
required
string
custom_styles
required
Array<object>
object
style
required
string
name
required
string
label
required
string
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 12345, "name": "My Email Design System", "description": "My Email Design System", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "organization_id": 12345, "workspace_id": 12345, "screenshot_url": "https://www.example.com/screenshot.png", "upload_status": "ready", "require_brand_profile_for_use": false, "archived": false, "design_tokens": { "primary_button_color": "#007bff", "secondary_button_color": "#6c757d" }, "access_scope": "all_workspaces", "custom_styles": [ { "style": "background-color: yellow; font-weight: bold;", "name": "highlight", "label": "Highlight" } ] } ], "pagination": { "per": 10, "page": 1, "total": 100 }}